Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4503 - gdb-4.18-2 seems to have thread problems
Summary: gdb-4.18-2 seems to have thread problems
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: gdb
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-13 04:48 UTC by Brian Ryner
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-19 04:13:30 UTC


Attachments (Terms of Use)

Description Brian Ryner 1999-08-13 04:48:15 UTC
I noticed this problem when trying to use gdb with mozilla.
I got messages like:

Program received signal ?, Unknown signal.
0x2aeb31bb in __sigsuspend (set=0x7fffebf8)

Continuing at this point seems to hang both gdb and the
app.  In a possibly related matter, I used the command:

handle SIG32 nostop

with gdb 4.17. 4.18 seems to complain that it doesn't know
what SIG32 is.  I think this might be a thread problem
because I am not seeing the [New thread] messages like in
4.17.

Comment 1 Jim Kingdon 1999-08-19 04:13:59 UTC
Try gdb-4.18-3 and let me know how it works.  gdb-4.18-2 has no thread
support whatsoever.


Note You need to log in before you can comment on or make changes to this bug.